/*******************************************************************************
*
*		file name:	gadsel.h
*		author:		Thomas C. DeVeau
*		creation date:	8-5-90
*		purpose:	structure definition and function prototype
*
*******************************************************************************/
#ifndef GADSEL_H
#define GADSEL_H	1

#ifndef INTUITION_INTUITION_H
#include <intuition/intuition.h>
#endif

struct GadList {
	short GadCount;			/* number of gadgets in list */
	struct Gadget *GadgetList[20];	/* gadget list */
};

struct ITextList {
	short ITCount;			/* number of itext structs in list */
	struct IntuiText *ITList[30];	/* itext list */
};

void GadgetSelect(struct Window *,struct GadList *,SHORT,USHORT,USHORT);
void ChangeITModes(struct ITextList *,SHORT,UBYTE,UBYTE);

#endif	/* GADSEL_H */
